Skip to main content
GET
/
provider-keys
List AI Gateway provider keys
curl --request GET \
  --url https://api.ngrok.ai/provider-keys \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.ngrok.ai/provider-keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.ngrok.ai/provider-keys', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "aiGatewayProviderKeys": [
    {
      "id": "<string>",
      "uri": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "providerId": "<string>",
      "name": "<string>",
      "keyRedacted": "<string>",
      "createdBy": {
        "id": "<string>",
        "uri": "<string>"
      },
      "lastUpdatedBy": {
        "id": "<string>",
        "uri": "<string>"
      },
      "description": "<string>",
      "metadata": "<string>",
      "lastUsed": "2023-11-07T05:31:56Z"
    }
  ],
  "uri": "<string>",
  "nextPageUri": "<string>"
}
{
  "statusCode": 123,
  "msg": "<string>",
  "details": {},
  "errorCode": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

beforeId
string

Returns items before this resource identifier in descending ID order.

limit
integer<int32>

Maximum number of items to return. Defaults to 100 and may not exceed 100.

Required range: 1 <= x <= 100
provider
string

Only returns keys matching the provider.

Response

A page of AI Gateway provider keys.

aiGatewayProviderKeys
object[]
required

The AI Gateway provider keys for this account.

uri
string
required

URI of this list resource.

nextPageUri
string | null

URI of the next page of results, or null if there is no next page.